Skip site navigation (1) Skip section navigation (2)

Re: Win32: Postgre 8.3.1 does not work with Active perl 5.10

From: "Dave Page" <dpage(at)pgadmin(dot)org>
To: Eugen(dot)Konkov(at)aldec(dot)com
Cc: pgsql-bugs(at)postgresql(dot)org
Subject: Re: Win32: Postgre 8.3.1 does not work with Active perl 5.10
Date: 2008-05-19 17:50:33
Message-ID: 937d27e10805191050m794a1634oe06f6c888f88e40b@mail.gmail.com (view raw or flat)
Thread:
Lists: pgsql-bugs
On Mon, May 19, 2008 at 6:18 PM,  <Eugen(dot)Konkov(at)aldec(dot)com> wrote:
> 1. Install Active perl 5.8
> 2. Install PostgreSQL 8.3.1
> 3. CREATE plperl FUNCTION
> 4. Call this FUNCTION TO CHECK that plperl.dll IS loaded AND FUNCTION
> executed
> 5. Deinstall Active perl 5.8
> 6. Install Active perl 5.10
> 7. When you call plperl FUNCTION you get next error:
> can NOT LOAD plperl.dll library
>
> The problem is that PostgreSQL search for C:/Perl/Bin/Perl58.dll but I have
> Perl510.dll

Right. You need to use 5.8, or build your own executables.

-- 
Dave Page
EnterpriseDB UK: http://www.enterprisedb.com

In response to

Responses

pgsql-bugs by date

Next:From: Bob RossiDate: 2008-05-19 21:14:56
Subject: apr integration
Previous:From: Eugen.KonkovDate: 2008-05-19 17:18:59
Subject: Win32: Postgre 8.3.1 does not work with Active perl 5.10

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group